Subject: Re: cygwin problems
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 6 Nov 2001 17:27:37 -0500

I have no problem with cygwin on Windows 95.  rsh and rlogin work fine.
I'm also running OSR2, AFAICT.

If you are running cygwin 1.3.4 then it appears that there is something
strange with time zones on your computer.  I can't offer any insight beyond
that other than to speculate that maybe you have a strange TZ environment
variable set or something?

'cygcheck -r -s -v' output might provide a clue.

cgf

On Tue, Nov 06, 2001 at 09:15:19PM +0100, Peter van Swieten wrote:
>send it to: [email-masked]
>
>Dear Sir/madam
>
>I recently (nov 5, 2001) downloaded cygwin to update my previous release
>I installed it on two different machines:
>Windows NT 4 (US)
>Windows 95 OSR2 (Dutch)
>
>It works great on Windows NT however I keep having problems on windows 95
>(an old notebook)
>Whenever I start the CygWin DosBox and start something like rlogin or rsh
>(maybe others too)
> it crashes and I get a Stack dump file.
>
>Note that my old release (1.3.1-1) worked fine both on NT and 95.
>
>Is this a known problem? 
>
>Regards,
>	Peter van Swieten 
>   
> 

>Exception: STATUS_ACCESS_VIOLATION at eip=6102B6EB
>eax=077D0051 ebx=005106C6 ecx=00000000 edx=00000001 esi=077D0051 edi=004013B4
>ebp=0253FC34 esp=0253FC10 program=K:\CYGWIN\BIN\RSH.EXE
>cs=0137 ds=013F es=013F fs=21E7 gs=223E ss=013F
>Stack trace:
>Frame     Function  Args
>0253FC34  6102B6EB  (077D0051, 00000010, 004013B4, 004013B0)
>0253FC74  61030144  (005106C6, 00401EAC, 04570218, 614E3F64)
>0253FCBC  61030278  (004013B4, 004013B0, 0253FD2C, 0040140D)
>0253FD2C  004017BC  (00000005, 614E3ECC, 04570008, 00000000)
>0253FD88  6100401E  (00000000, 8157055C, 0000FFFF, 0253FF68)
>0253FDB8  6100421D  (004013FC, 8157055C, 00000000, 00000000)
>0253FDD8  6100425C  (00000000, 00000000, FFFFFFFF, 00000000)
>0253FE08  0040216B  (004013FC, 0253FC8C, BFFBFA00, 0253FF68)
>0253FE38  0040103D  (8157055C, 8157012C, 00530000, 00687352)
>0253FF78  BFF88E93  (BFF88A87, 00000019, 8157055C, 00000000)
> 112364 [main] rsh 191763 handle_exceptions: Error while dumping state (probably corrupted stack)

>Exception: STATUS_ACCESS_VIOLATION at eip=6102B6EB
>eax=00000051 ebx=005106C6 ecx=00000000 edx=00000001 esi=00000051 edi=00401075
>ebp=0253F844 esp=0253F820 program=K:\CYGWIN\BIN\RLOGIN.EXE
>cs=0137 ds=013F es=013F fs=2237 gs=24E6 ss=013F
>Stack trace:
>Frame     Function  Args
>0253F844  6102B6EB  (00000051, 00000010, 00401075, 00401071)
>0253F884  61030144  (005106C6, 61002A70, 00000002, 614E3ECC)
>0253F8CC  61030278  (00401075, 00401071, 00401056, 004010DC)
>0253FD2C  0040140A  (00000002, 614E3ECC, 04570008, 00000000)
>0253FD88  6100401E  (00000000, 815705AC, 0000FFFF, 0253FF68)
>0253FDB8  6100421D  (004010C8, 815705AC, 00000000, 00000000)
>0253FDD8  6100425C  (00000000, 00000000, FFFFFFFF, 00000000)
>0253FE08  00402387  (004010C8, 0253FC8C, BFFBFA00, 0253FF68)
>0253FE38  0040103D  (815705AC, 81570174, 00530000, 676F6C52)
>0253FF78  BFF88E93  (BFF88A87, 00000019, 815705AC, 00000000)
> 117758 [main] rlogin 236147 handle_exceptions: Error while dumping state (probably corrupted stack)
>

>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

-- 
[email-masked]                        Red Hat, Inc.
http://sources.redhat.com/            http://www.redhat.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/